# See your invite limits

`GET https://api.mailmasker.org/api/v1/invites/quota`

How many invites you may have waiting at once, and send in a day.

- Who can use it: Any signed-in account
- Area: Invites
- Answers 200 OK when it works
- Page: https://developer.mailmasker.org/invite-quota-mine

`max_pending` is how many unused invites you may have out at once, and `max_per_day` how many you may send in any 24 hours. They are the site's defaults unless a site admin has set your own.

## Examples

cURL:

```bash
curl -s 'https://api.mailmasker.org/api/v1/invites/quota' \
  -H "Authorization: Bearer $TOKEN"
```

Perl:

```perl
use Mojo::Base -strict;
use Mojo::UserAgent;

my $ua  = Mojo::UserAgent->new;
my $res = $ua->get('https://api.mailmasker.org/api/v1/invites/quota',
    { Authorization => "Bearer $ENV{TOKEN}" })->result;
die $res->code, ' ', ($res->json('/error') // $res->message), "\n" unless $res->is_success;
print $res->body, "\n";
```

homelab-cli:

```bash
homelab-cli invite quota show
```

## Response

200 OK:

```json
{ "max_pending": 10, "max_per_day": 5 }
```
